Piloterr

Leroy Merlin Stores Finder

Search Leroy Merlin stores by name, city or postal code to retrieve their store ID, slug, address and store locator URL.

GET
/v2/finder/leroymerlin-stores

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Filters Leroy Merlin stores based on a search string. The search is non-case-sensitive and matches store names, cities, postal codes and store slugs.

Example:

balma

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/finder/leroymerlin-stores?query=string"
[
  {
    "id": "110",
    "store_id": "110",
    "store_slug": "balma-toulouse",
    "name": "Balma - Toulouse",
    "city": "Balma",
    "postal_code": "31130",
    "address": "1 avenue Jean-René Lagasse, 31130 Balma",
    "url": "https://www.leroymerlin.fr/magasins/balma-toulouse.html",
    "country_code": "FR",
    "domain": "fr"
  }
]
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}